package cn.ibizlab.humanresource.core.base.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.humanresource.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.humanresource.core.base.domain.HROrgContact;
/**
 * 关系型数据实体[HROrgContact] 查询条件对象
 */
@Slf4j
@Data
public class HROrgContactSearchContext extends QueryWrapperContext<HROrgContact> {

	private String n_hrorgcontactname_like;//[联系人]
	public void setN_hrorgcontactname_like(String n_hrorgcontactname_like) {
        this.n_hrorgcontactname_like = n_hrorgcontactname_like;
        if(!ObjectUtils.isEmpty(this.n_hrorgcontactname_like)){
            this.getSearchCond().like("hrorgcontactname", n_hrorgcontactname_like);
        }
    }
	private String n_contacttype_eq;//[类型]
	public void setN_contacttype_eq(String n_contacttype_eq) {
        this.n_contacttype_eq = n_contacttype_eq;
        if(!ObjectUtils.isEmpty(this.n_contacttype_eq)){
            this.getSearchCond().eq("contacttype", n_contacttype_eq);
        }
    }
	private String n_hrorganizationid_eq;//[组织]
	public void setN_hrorganizationid_eq(String n_hrorganizationid_eq) {
        this.n_hrorganizationid_eq = n_hrorganizationid_eq;
        if(!ObjectUtils.isEmpty(this.n_hrorganizationid_eq)){
            this.getSearchCond().eq("hrorganizationid", n_hrorganizationid_eq);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("hrorgcontactname", query)   
            );
		 }
	}
}



